<!DOCTYPE html>
<html lang="fr">
    <head>
        <meta charset="UTF-8">
        <link rel="icon" href="static/favicon.ico" />
        <link rel="stylesheet" href="{{ url_for('static', filename= 'css/style.css') }}">
        <title>Téléchargement de contenu de PDF</title>
    </head>
    <body>
    
        {% with messages = get_flashed_messages() %}
            {% if messages %}
            <ul class=flashes>
            {% for message in messages %}
                <li>{{ message }}</li>
            {% endfor %}
            </ul>
            {% endif %}
        {% endwith %}

        <h1>Pour obtenir (à l'aide d'un identifiant) : </h1>
        <p> <i> Remplacer <b>"identifiant"</b> par un nombre entier </i> </p>
        <p> - les métadonnées, saisir ce qui suit dans l'URL : http://127.0.0.1:5000/metadata/<b>identifiant</b></p>
        <p> - le statut, saisir ce qui suit dans l'URL : http://127.0.0.1:5000/status/<b>identifiant</b></p>
        <p> - le titre, saisir ce qui suit dans l'URL : http://127.0.0.1:5000/title/<b>identifiant</b></p>
        <p> - le texte, saisir ce qui suit dans l'URL : http://127.0.0.1:5000/text/<b>identifiant</b></p>
        <p> - le contenu texte après l'avoir enregistré dans un fichier .txt, saisir ce qui suit dans l'URL : http://127.0.0.1:5000/downloads/identifiant</p>
    </br>
        <p><b> Veuillez lire le fichier README.md pour découvrir les autres fonctionnalités (recherche sans identifiant, recherche sans stockage...). </b></p>

        <h1>Pour télécharger un autre fichier :</h1>

        <p class="consigne"> Veuillez télécharger un PDF pour obtenir son texte et ses métadonnées. 
        </p>
        <p>
            1. Cliquez sur le bouton <i>"Choisir un fichier"</i>. Le nom de votre fichier doit maintenant apparaître à côté de ce bouton. <br/> <br/>
            2. Si c'est le cas, cliquez sur <i> "Télécharger" </i>. Sinon, recommencez l'étape 1.
        </p>    
        <form method="post" enctype="multipart/form-data">
            <input type="file" name="file" /> <br/> <br/> <br/> 
            <input type="submit" value="Télécharger" />
        </form>
    </body>
</html>